Package org.zkoss.web.servlet.xel

## Class AttributesMap

- java.lang.Object
- - java.util.AbstractMap<java.lang.String,​V>
  - - org.zkoss.web.servlet.xel.StringKeysMap<java.lang.Object>
    - - org.zkoss.web.servlet.xel.AttributesMap

- All Implemented Interfaces:
    `java.util.Map<java.lang.String,​java.lang.Object>`
  Direct Known Subclasses:
    `RequestScope`

      public abstract class AttributesMap
      extends StringKeysMap<java.lang.Object>

  A skeletal implementation for Map to wrap something with enumeration of attributes, which must be String.

  It is mainly used to implement sessionScope and requestScope in EL.

  Since:
    3.0.0
  Author:
    tomyeh

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.web.servlet.xel.StringKeysMap

      `StringKeysMap.EntryIter`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttributesMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.util.Map.Entry<java.lang.String,​java.lang.Object>>` | `entrySet()` |
    `boolean` | `isEmpty()` |
    `java.lang.Object` | `put​(java.lang.String key, java.lang.Object val)` |
    `java.lang.Object` | `remove​(java.lang.Object key)` |
    `int` | `size()` |

    - ### Methods inherited from class org.zkoss.web.servlet.xel.StringKeysMap

      `containsKey, get, getKeys, getValue, removeValue, setValue`

    - ### Methods inherited from class java.util.AbstractMap

      `clear, clone, containsValue, equals, hashCode, keySet, putAll, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### AttributesMap

          public AttributesMap()

  - ### Method Detail

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<java.lang.String,​java.lang.Object>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<java.lang.String,​java.lang.Object>`
      Specified by:
        `entrySet` in class `java.util.AbstractMap<java.lang.String,​java.lang.Object>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<java.lang.String,​java.lang.Object>`
      Overrides:
        `size` in class `java.util.AbstractMap<java.lang.String,​java.lang.Object>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map<java.lang.String,​java.lang.Object>`
      Overrides:
        `isEmpty` in class `java.util.AbstractMap<java.lang.String,​java.lang.Object>`

    - #### put

          public java.lang.Object put​(java.lang.String key,
                                      java.lang.Object val)

      Specified by:
        `put` in interface `java.util.Map<java.lang.String,​java.lang.Object>`
      Overrides:
        `put` in class `java.util.AbstractMap<java.lang.String,​java.lang.Object>`

    - #### remove

          public java.lang.Object remove​(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map<java.lang.String,​java.lang.Object>`
      Overrides:
        `remove` in class `java.util.AbstractMap<java.lang.String,​java.lang.Object>`